<!DOCTYPE html>
<html>
<head>
    <title>Analyse Globale</title>
    <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='css/style.css') }}">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/0.5.0-beta4/html2canvas.min.js"></script>
</head>
<body>
  {% include 'menu.html' %}
    <h1>ANALYSE GLOBALE</h1>
    <p>Sélectionner les dates souhaitées</p>

    <form class="my-form" action="{{ url_for('analyse_globale') }}" method="POST">
      <p class="p2">PERIODE N</p>
      <div class="row">
        <div class="column">
          <label for="date-depart">DATE DE DEBUT :</label>
          <input type="date" id="date-depart" name="date-depart">
        </div>
        <div class="column">
          <label for="date-arrivee">DATE DE FIN :</label>
          <input type="date" id="date-arrivee" name="date-arrivee">
        </div>
      </div>

      <p class="p2">PERIODE DE COMPARAISON</p>
      <div class="row">
        <div class="column">
          <label for="date-depart-n-1">DATE DE DEBUT :</label>
          <input type="date" id="date-depart-n-1" name="date-depart-n-1">
        </div>
        <div class="column">
          <label for="date-arrivee-n-1">DATE DE FIN :</label>
          <input type="date" id="date-arrivee-n-1" name="date-arrivee-n-1">
        </div>
      </div>

      <input type="submit" value="VALIDER">
    </form>

    <br>
    {% if error %}
    <p class="p2">{{ error|safe }}</p>
    {% endif %}


{% if date_start_obj and date_end_obj %}


  <div class="data-box">
    <table align="center" class="date-table">
      <thead>
        <tr>
          <th class="h2">Période N</th>
          <th class="h2"></th>
          <th class="h2">Période N-1</th>
        </tr>
      </thead>
      <tbody>
          <tr>
            <td class="p4">DU {{ date_start_obj }} AU {{ date_end_obj }}</td>
            <td class="p4"></td>
            <td class="p4">DU {{ date_start_n_1_obj }} AU {{ date_end_n_1_obj }}</td>
          </tr>
        </tbody>
    </table>
  </div>


  <button class="download" data-box-id="box2" style="margin-top: 20px;">Télécharger en JPEG</button>
  <div class="data-box" id="box2">
    <h1>PLAYERS PLUS</h1>

    <table align="center" class="date-table">
      <thead>
        <tr>
          <th class="h2"></th>
          <th class="h2">Période N</th>
          <th class="h2"></th>
          <th class="h2">Période N-1</th>
          <th class="h2"></th>
          <th class="h2">Evolution</th>
        </tr>
      </thead>
      <tbody>
          <tr>
            <td class="p4">Encartages</td>
            <td class="p4">{{ result_encartage }}</td>
            <th class="h2"></th>
            <td class="p4">{{ result_encartage_n_1 }}</td>
            <th class="h2"></th>
            <td class="p4">{{ evolution_encartage|round(2) }} %</td>
          </tr>
        </tbody>
        <tbody>
          <tr>
            <td class="p4">% de femmes</td>
            <td class="p4">{{ f_prop|round(2) }} %</td>
            <th class="h2"></th>
            <td class="p4">{{ f_prop_n_1|round(2) }} %</td>
            <th class="h2"></th>
            <td class="p4"></td>
          </tr>
        </tbody>
        <tbody>
          <tr>
            <td class="p4">% d'hommes</td>
            <td class="p4">{{ m_prop|round(2) }} %</td>
            <th class="h2"></th>
            <td class="p4">{{ m_prop_n_1|round(2) }} %</td>
            <th class="h2"></th>
            <td class="p4"></td>
          </tr>
        </tbody>
    </table>




      <h2>Répartition des Euros Players</h2>
      <table align="center" class="data-table">
        <thead>
          <tr>
            <th>Zone</th>
            <th>Earn</th>
            <th>Burn</th>
            <th>Euros Players restants</th>
          </tr>
        </thead>
        <tbody>
          {% for row in df_groupby_euros_players.iterrows() %}
            <tr>
              <td>{{ row[1]['zone'] }}</td>
              <td>{{ row[1]['earn'] }}</td>
              <td>{{ row[1]['burn'] }}</td>
              <td>{{ row[1]['euros_players_rest'] }}</td>
            </tr>
          {% endfor %}
        </tbody>
      </table>

      <p>Total Earn : {{ total_earn_formatted }} - Total Burn : {{ total_burn_formatted }}</p>
      <p>Total Earn N-1 : {{ total_earn_n_1_formatted }} - Total Burn : {{ total_burn_n_1_formatted }}</p>


  </div>



{% endif %}


    <br>
    <br>
    <br>
    <br>
    <br>
    <br>



    <script>
      document.querySelectorAll('.download').forEach(function(button) {
        button.addEventListener('click', function() {
          var boxId = this.dataset.boxId;
          html2canvas(document.getElementById(boxId), { scale: 1000 }).then(canvas => {
            let link = document.createElement('a');
            link.download = 'data.jpg';
            link.href = canvas.toDataURL("image/jpeg", 1.0).replace("image/jpeg", "image/octet-stream");
            link.click();
          });
        });
      });
    </script>



{% include 'footer.html' %}

</body>
</html>
